#
# Conditional build
%bcond_with	tests	# perform "make check"
#
Summary:	Embeded HTTP server library
Summary(pl.UTF-8):	Biblioteka wbudowanego serwera HTTP
Name:		libmicrohttpd
Version:	0.9.68
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
# Source0-md5:	1c3ca3bf92dfc680538b4186c58a9bd0
Patch0:		%{name}-info.patch
Patch1:		%{name}-messages.patch
URL:		http://www.gnu.org/software/libmicrohttpd/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gnutls-devel >= 2.8.6
BuildRequires:	libgcrypt-devel >= 1.2.4
BuildRequires:	libmagic-devel
BuildRequires:	libtool >= 2:2.4.0
BuildRequires:	texinfo
%if %{with tests}
BuildRequires:	curl-devel >= 7.16.4
%endif
Requires:	gnutls >= 2.8.6
Requires:	libgcrypt >= 1.2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libmicrohttpd is a small C library that is supposed to make it
easy to run an HTTP server as part of another application.

%description -l pl.UTF-8
GNU libmicrohttpd jest małą biblioteką C, w założeniu umożliwiającą
uruchomienie serwera HTTP jako części innej aplikacji.

%package devel
Summary:	Header files to develop libmicrohttpd applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel >= 2.8.6
Requires:	libgcrypt-devel >= 1.2.4
Requires:	openssl-devel

%description devel
Header files to develop libmicrohttpd applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd.

%package static
Summary:	Static libmicrohttpd libraries
Summary(pl.UTF-8):	Biblioteka statyczna libmicrohttpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmicrohttpd libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libmicrohttpd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%if %{with tests}
	--enable-curl \
	--enable-client-side \
%endif
	--enable-https \
	--disable-messages

%{__make}
%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmicro*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmicrohttpd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmicrohttpd.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmicrohttpd.so
%{_includedir}/microhttpd.h
%{_infodir}/libmicrohttpd.info*
%{_infodir}/libmicrohttpd-tutorial.info*
%{_infodir}/libmicrohttpd_performance_data.png
%{_mandir}/man3/libmicrohttpd.3*
%{_pkgconfigdir}/libmicrohttpd.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmicrohttpd.a
%changelog
* Tue Nov 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmicrohttpd.git;a=log;h=master

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 590a9d0
- updated to 0.9.68

* Wed Oct 23 2019 Jakub Bogusz <qboosh@pld-linux.org> b938083
- updated to 0.9.67
- added messages patch (build with --disable-messages is broken again)

* Tue Aug 06 2019 Adam Gołębiowski <adamg@pld-linux.org> acee57d
- updated to 0.9.66

* Sun Jun 30 2019 Jakub Bogusz <qboosh@pld-linux.org> e89d6a5
- updated to 0.9.64

* Tue Feb 12 2019 Adam Gołębiowski <adamg@pld-linux.org> c8a64a1
- updated to 0.9.63

* Sun Jan 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 71b1fb6
- updated to 0.9.62

* Thu Nov 29 2018 Adam Gołębiowski <adamg@pld-linux.org> a38f26e
- updated to 0.9.61

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 11d05cd
- BR: gettext-tools

* Sat Nov 10 2018 Adam Gołębiowski <adamg@pld-linux.org> f76bea9
- updated to 0.9.60

* Mon Jul 16 2018 Jakub Bogusz <qboosh@pld-linux.org> f6926aa
- updated to 0.9.59

* Mon Dec 11 2017 Jakub Bogusz <qboosh@pld-linux.org> af04330
- updated to 0.9.58

* Thu Jun 08 2017 Jakub Bogusz <qboosh@pld-linux.org> bc5914a
- updated to 0.9.55

* Fri May 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 9ea36d8
- updated to 0.9.54

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 843798f
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 21b105a
- updated to 0.9.52

* Wed Aug 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 9357921
- updated to 0.9.51
- removed obsolete link,sha patches
- SPDY has been withdrawn, microspdy is gone

* Thu Dec 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 24840d2
- updated to 0.9.46 (note: new soname)

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 43bc39b
- updated to 0.9.44
- one more fix added to link patch (platform_interface.h needed for MHD_socket_close_)

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1042201
- updated to 0.9.42

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 337f222
- updated to 0.9.41
- added sh patch (kill bashism in configure)

